Bug 103448 - Bad: configuration file not loaded properly
Bad: configuration file not loaded properly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-30 14:12 EDT by Johan Landin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-16 18:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Landin 2003-08-30 14:12:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (X11; U; Linux 2.4.20-20.7smp i686)

Description of problem:
BAD: It is not possible to select  the desired user authentication method by
setting the desired value(s) in the configuraion file /etc/atalk/afpd.conf.
Regardless of what was specified the same default values were always loaded. 
(uams_clrtxt.so and uams_dhx.so)

GOOD: By editing the netatalk startup file /etc/init.d/atalk it was possible to
control which UAMs to be loaded.  To the line starting afpd (beginning with
'daemon afpd...' ) was added an argument specifiying which configuration file to
use:  '-F /etc/atalk/afpd.conf'

After restarting netatalk using the edited startup script specification of UAMs
worked as expected.

Version-Release number of selected component (if applicable):
netatalk-1.5.2-3

How reproducible:
Always

Steps to Reproduce:
1. Start netatalk and observe the output in /var/log/messages.
2. Select other values for the uamlist in /etc/atalk/afpd.conf
3. Restart netatalk and observe the output in /var/log/messages regarding  which
UAMs being loaded.
    

Actual Results:  No difference between step 1. and 2.

Expected Results:  The expected result is to se new values for the UAMs loaded.

Additional info:
Comment 1 Charlie Bennett 2004-09-23 14:10:35 EDT
Moved to Fedora Core for investigation against 1.6.4.
Comment 2 Jason Vas Dias 2005-06-16 18:44:52 EDT
This bug has been fixed with the latest netatalk-2.0.3-1 release,
available from: http://people.redhat.com/~jvdias/netatalk and in
tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.